@echo off
echo       (C) Gleb Vdovin 1993-1995
echo      This file is a part of LightPipes beta distribution
rem       

rem defocus
begin 0.04 5e-7 | circ_ap 0.01 | Zernike 2 0 0.01 10 | b_split foo1 > foo
rem Radial magnification
interpol 0.04 256 0. 0. 0 1.3 < foo1 | b_mix foo > foo2
rem postscript output
file_ps radial1.ps 128 < foo2 > null
del foo 
del foo1 
del foo2

rem spherical aberration
begin 0.04 5e-7 | circ_ap 0.01 | Zernike 4 0 0.01 10 | b_split foo1 > foo
rem Radial magnification
interpol 0.04 256 0. 0. 0 1.3 < foo1 | b_mix foo > foo2
rem postscript output
file_ps radial2.ps 128 < foo2 > null
del foo 
del foo1 
del foo2

rem High order  aberration without axial symmetry
begin 0.04 5e-7 | circ_ap 0.01 | Zernike 10 4 0.01 10 | b_split foo1 > foo
rem Radial magnification
interpol 0.04 256 0. 0. 0 1.3 < foo1 | b_mix foo > foo2
rem postscript output
file_ps radial3.ps 128 < foo2 >null
del foo 
del foo1 
del foo2
